package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

import java.util.LinkedList;

public class Tag23ECreator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag23ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        LinkedList<String> tag23EValue = MT101AbsCreator.getInstructionCode();
        MT101AbsCreator.set("23E", tag23EValue, true);
    }
}
